//textures/common/alpha_000
// Primary texture ONLY
//{
//	q3map_alphaMod volume
//	q3map_alphaMod set 0
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	qer_trans 0.75
//}
//textures/common/alpha_025
//{
//	q3map_alphaMod volume
//	q3map_alphaMod set 0.25
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	qer_trans 0.75
//}
//textures/common/alpha_050
// Mix of Primary + Secondary
//{
//	q3map_alphaMod volume
//	q3map_alphaMod set 0.50
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	qer_trans 0.75
//}
//textures/common/alpha_075
//{
//	q3map_alphaMod volume
//	q3map_alphaMod set 0.75
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	qer_trans 0.75
//}
//textures/common/alpha_085
//{
//	q3map_alphaMod volume
//	q3map_alphaMod set 0.85
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	qer_trans 0.75
//}
//textures/common/alpha_100
// Secondary texture ONLY
//{
//	q3map_alphaMod volume
//	q3map_alphaMod set 1.0
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	qer_trans 0.75
//}
textures/common/antiportal
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}
textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}
textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nolightmap
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}
textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}
//textures/common/full_clip
// silly shader, use weapclip instead
//{
//	qer_trans 0.40
//	surfaceparm nodraw
//	surfaceparm playerclip
//}
textures/common/hint
// should NOT use surfaceparm hint.. strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}
textures/common/hintlocal
// Local hint works like normal hint but doesn't create portals beyond local structural brushes.
{
	qer_nocarve
	qer_trans 0.30
	qer_editorImage textures/common/hintlocal.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}
textures/common/hintskip
{
	qer_nocarve
	qer_trans 0.05
	qer_editorImage textures/common/skip.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

//textures/common/hint_skip
//{
//	qer_nocarve
//	qer_trans 0.05
//	qer_editorImage textures/common/skip.tga
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm structural
//	surfaceparm trans
//	surfaceparm noimpact
//	surfaceparm skip
//}

//textures/common/fullskip
//{
//	qer_nocarve
//	qer_trans 0.5
//	qer_editorImage textures/common/skip.tga
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm trans
//	surfaceparm noimpact
//	surfaceparm skip
//}

textures/common/invisible
// solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/common/ladderclip
{
	qer_editorimage textures/common/ladderclip.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}
textures/common/lavacaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}
textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}

}
//textures/common/mirror2
//{
//	qer_editorimage textures/common/qer_mirror.tga
//	surfaceparm nolightmap
//	portal
//	{
//		map textures/common/mirror1.tga
//		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
//		depthWrite
//	}
//        {
//               map textures/sfx/mirror.tga
//	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
//        }
//
//}
//textures/common/mirror3
//{
//	qer_editorimage textures/common/qer_mirror.tga
//	surfaceparm nolightmap
//	portal
//	{
//		map textures/mexicano/emptyalpha.tga
//		blendfunc blend
//		rgbGen identityLighting
//		depthWrite
//		alphaGen portal 5000
//	}
//
//}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	qer_trans 0.2
}
textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
	qer_trans 0.4
}
textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}
textures/common/noimpact
{
	qer_editorimage textures/common/nolightmap.tga
	surfaceparm noimpact
}
textures/common/nolightmap
{
	surfaceparm nolightmap
}
textures/common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}
textures/common/portal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

//textures/common/playerslick
//{
//	qer_trans 0.50
//	surfaceparm nodraw
//	surfaceparm nolightmap
//	surfaceparm nomarks
//	surfaceparm trans
//	surfaceparm slick
//	surfaceparm playerclip
//}

//textures/common/terrain
//{
//	q3map_terrain
//	surfaceparm nodraw
//    surfaceparm nolightmap
//	surfaceparm nomarks
//}
//textures/common/terrain2
//{
//	q3map_terrain
//	qer_editorimage textures/common/terrain.tga
//	surfaceparm dust
//	surfaceparm nodraw
//	surfaceparm nomarks
//	surfaceparm nolightmap
//}
//textures/common/timportal
//{
//	qer_editorimage textures/common/qer_portal.tga
//	portal
//	surfaceparm nolightmap
//	{
//		map textures/common/portal.tga
//		tcMod turb 0 0.25 0 0.05
//		blendFunc GL_ONE GL_SRC_ALPHA
//		depthWrite
//	}
//}
textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
}

//textures/common/missileclip
//{
//	qer_trans 0.40
//	surfaceparm nodraw
//	surfaceparm trans
//	surfaceparm nomarks
//	surfaceparm nodamage
//	surfaceparm playerclip
//	//surfaceparm nonsolid
//}

//textures/common/metalclip
//{
//	qer_trans 0.40
//	surfaceparm nodraw
//	surfaceparm nolightmap
//	surfaceparm nonsolid
//	surfaceparm trans
//	surfaceparm nomarks
//	surfaceparm noimpact
//	surfaceparm playerclip
//	surfaceparm metalsteps
//}
textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}
textures/common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/common/watercaulk
{
	qer_editorimage textures/common/watercaulk.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

//textures/common/white
//{
//	qer_editorimage textures/common/white.tga
//	{
//		map $lightmap
//		rgbGen identity
//	}
//	{
//		map textures/common/white.tga
//		blendfunc filter
//	}
//}
//textures/common/woodclip
//{
//	qer_trans 0.40
//	surfaceparm nodraw
//	surfaceparm nolightmap
//	surfaceparm nonsolid
//	surfaceparm trans
//	surfaceparm nomarks
//	surfaceparm noimpact
//	surfaceparm playerclip
//	surfaceparm woodsteps
//}

//textures/common/invclip
//{
//	qer_editorimage textures/common/full_clip
//	qer_trans 0.30
//	surfaceparm nodraw
//	surfaceparm nolightmap
//	surfaceparm nonsolid
//	surfaceparm trans
//	surfaceparm nodamage
//	surfaceparm nomarks
//	surfaceparm noimpact
//	surfaceparm playerclip
//}
